<?php
/*
    CREATIVE COMMONS - Attribution-No Derivative Works 3.0 Germany:
    - You may not alter, transform, or build upon this work.
    - Dieses Werk darf nicht bearbeitet oder in anderer Weise verändert werden.
*/
    // Variablen definieren
      
      global $DB_PREFIX;
      global $Path;
      $ImportFehler = '0';
      $FileName = 'user.csv';
    // Datei checken
    if ( !$datei = fopen($Path."/".$FileName, 'r') )
       { echo 'ERROR: File not Found! ('.$FileName.')<br /><br />'; }
    else
    {
      // Alte Datensätze löschen
        if ( $_SESSION["ImportOverwriteUser"] )
        { 
          $SQL = "DELETE FROM ".DB_PREFIX."user";
          $resultat = mysql_query($SQL);
          if ( $resultat ) { echo $L_Old_user_were_deleted.'<br />'; }
          else  { echo '<span class="ERROR">'.$_ERROR_Old_user_NOT_deleted.'</span><br />'; }
        }
      // Neue Datensätze importieren
        include ('functions/import/'.$Version.'/user.php');
        if ( $ImportFehler=='0' ) { echo $L_User_successfully_imported.'<br />'; }
        else { echo '<span class="ERROR">'.$L_ERROR_User_NOT_imported.' ('.$ImportFehler.')<br />'; }
      }
    echo '<br />';
?>
